"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfirmPassword = ConfirmPassword;
const class_validator_1 = require("class-validator");
const confirm_password_constraint_1 = require("../constraints/confirm-password.constraint");
function ConfirmPassword(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: confirm_password_constraint_1.ConfirmPasswordConstraint,
        });
    };
}
//# sourceMappingURL=confirm-password.decorator.js.map