"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsPassword = IsPassword;
const class_validator_1 = require("class-validator");
const password_constraint_1 = require("../constraints/password.constraint");
function IsPassword(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: password_constraint_1.PasswordConstraint,
        });
    };
}
//# sourceMappingURL=is-password.decorator.js.map