"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHasSpecialChars = PasswordHasSpecialChars;
const class_validator_1 = require("class-validator");
const password_has_special_chars_constraint_1 = require("../constraints/password-has-special-chars.constraint");
function PasswordHasSpecialChars(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            constraints: [validatorOptions],
            options: defaultValidatorOptions,
            validator: password_has_special_chars_constraint_1.PasswordHasSpecialCharsConstraint,
        });
    };
}
//# sourceMappingURL=password-has-special-chars.decorator.js.map