"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordMaxLength = PasswordMaxLength;
const class_validator_1 = require("class-validator");
const password_max_length_constraint_1 = require("../constraints/password-max-length.constraint");
function PasswordMaxLength(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: password_max_length_constraint_1.PasswordMaxLengthConstraint,
        });
    };
}
//# sourceMappingURL=password-max-length.decorator.js.map