"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordMinLength = PasswordMinLength;
const class_validator_1 = require("class-validator");
const password_min_length_constraint_1 = require("../constraints/password-min-length.constraint");
function PasswordMinLength(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: password_min_length_constraint_1.PasswordMinLengthConstraint,
        });
    };
}
//# sourceMappingURL=password-min-length.decorator.js.map