var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { ValidatorConstraint } from "class-validator";
import { PasswordConstraint } from "./password.constraint";
let PasswordMaxLengthConstraint = class PasswordMaxLengthConstraint extends PasswordConstraint {
    defaultMessage() {
        return this.defaultMessages.maxLength;
    }
    validate(value, args) {
        var _a;
        let options = (_a = args.constraints) === null || _a === void 0 ? void 0 : _a[0];
        options = options !== null && options !== void 0 ? options : { length: 15 };
        return value.length <= options.length;
    }
};
PasswordMaxLengthConstraint = __decorate([
    ValidatorConstraint({ async: true })
], PasswordMaxLengthConstraint);
export { PasswordMaxLengthConstraint };
//# sourceMappingURL=password-max-length.constraint.js.map