import { registerDecorator } from "class-validator";
import { PasswordHasSpecialCharsConstraint } from "../constraints/password-has-special-chars.constraint";
export function PasswordHasSpecialChars(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            constraints: [validatorOptions],
            options: defaultValidatorOptions,
            validator: PasswordHasSpecialCharsConstraint,
        });
    };
}
//# sourceMappingURL=password-has-special-chars.decorator.js.map