"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHasSpecialCharsConstraint = void 0;
const class_validator_1 = require("class-validator");
const password_constraint_1 = require("./password.constraint");
let PasswordHasSpecialCharsConstraint = class PasswordHasSpecialCharsConstraint extends password_constraint_1.PasswordConstraint {
    defaultMessage() {
        return this.defaultMessages.hasSpecialChars;
    }
    validate(value, args) {
        var _a, _b;
        const options = (_a = args.constraints) === null || _a === void 0 ? void 0 : _a[0];
        const specialChars = (_b = options === null || options === void 0 ? void 0 : options.characters) !== null && _b !== void 0 ? _b : this.defaultSpecialChars;
        return this.checkSpecialChars(value, {
            enabled: true,
            characters: specialChars,
            message: this.defaultMessage(),
        });
    }
};
exports.PasswordHasSpecialCharsConstraint = PasswordHasSpecialCharsConstraint;
exports.PasswordHasSpecialCharsConstraint = PasswordHasSpecialCharsConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ async: true })
], PasswordHasSpecialCharsConstraint);
//# sourceMappingURL=password-has-special-chars.constraint.js.map