"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHasUppercaseConstraint = void 0;
const class_validator_1 = require("class-validator");
const password_constraint_1 = require("./password.constraint");
let PasswordHasUppercaseConstraint = class PasswordHasUppercaseConstraint extends password_constraint_1.PasswordConstraint {
    defaultMessage() {
        return this.defaultMessages.hasUpperCase;
    }
    validate(value) {
        return this.checkRegex(value, {
            enabled: true,
            message: this.defaultMessage(),
        }, /[a-z]/g);
    }
};
exports.PasswordHasUppercaseConstraint = PasswordHasUppercaseConstraint;
exports.PasswordHasUppercaseConstraint = PasswordHasUppercaseConstraint = __decorate([
    (0, class_validator_1.ValidatorConstraint)({ async: true })
], PasswordHasUppercaseConstraint);
//# sourceMappingURL=password-has-uppercase.constraint.js.map