"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordBlacklist = PasswordBlacklist;
const class_validator_1 = require("class-validator");
const password_blacklist_constraint_1 = require("../constraints/password-blacklist.constraint");
function PasswordBlacklist(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: password_blacklist_constraint_1.PasswordBlacklistConstraint,
        });
    };
}
//# sourceMappingURL=password-blacklist.decorator.js.map