"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHasLowercase = PasswordHasLowercase;
const class_validator_1 = require("class-validator");
const password_has_lowercase_constraint_1 = require("../constraints/password-has-lowercase.constraint");
function PasswordHasLowercase(validatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: validatorOptions,
            validator: password_has_lowercase_constraint_1.PasswordHasLowercaseConstraint,
        });
    };
}
//# sourceMappingURL=password-has-lowercase.decorator.js.map