"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PasswordHasNumbers = PasswordHasNumbers;
const class_validator_1 = require("class-validator");
const password_has_numbers_constraint_1 = require("../constraints/password-has-numbers.constraint");
function PasswordHasNumbers(validatorOptions) {
    return function (object, propertyName) {
        (0, class_validator_1.registerDecorator)({
            target: object.constructor,
            propertyName: propertyName,
            options: validatorOptions,
            validator: password_has_numbers_constraint_1.PasswordHasNumbersConstraint,
        });
    };
}
//# sourceMappingURL=password-has-numbers.decorator.js.map