var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { ValidatorConstraint } from "class-validator";
import { PasswordConstraint } from "./password.constraint";
let PasswordBlacklistConstraint = class PasswordBlacklistConstraint extends PasswordConstraint {
    defaultMessage() {
        return this.defaultMessages.blacklist;
    }
    validate(value, args) {
        var _a, _b;
        const options = (_a = args.constraints) === null || _a === void 0 ? void 0 : _a[0];
        const blacklist = (_b = options === null || options === void 0 ? void 0 : options.values) !== null && _b !== void 0 ? _b : this.defaultBlacklistValues;
        return this.checkBlacklist(value, {
            enabled: true,
            values: blacklist,
            message: this.defaultMessage(),
        });
    }
};
PasswordBlacklistConstraint = __decorate([
    ValidatorConstraint({ async: true })
], PasswordBlacklistConstraint);
export { PasswordBlacklistConstraint };
//# sourceMappingURL=password-blacklist.constraint.js.map