import { registerDecorator } from "class-validator";
import { ConfirmPasswordConstraint } from "../constraints/confirm-password.constraint";
export function ConfirmPassword(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: ConfirmPasswordConstraint,
        });
    };
}
//# sourceMappingURL=confirm-password.decorator.js.map