import { registerDecorator } from "class-validator";
import { PasswordBlacklistConstraint } from "../constraints/password-blacklist.constraint";
export function PasswordBlacklist(validatorOptions, defaultValidatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: defaultValidatorOptions,
            constraints: [validatorOptions],
            validator: PasswordBlacklistConstraint,
        });
    };
}
//# sourceMappingURL=password-blacklist.decorator.js.map