import { registerDecorator } from "class-validator";
import { PasswordHasLowercaseConstraint } from "../constraints/password-has-lowercase.constraint";
export function PasswordHasLowercase(validatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: validatorOptions,
            validator: PasswordHasLowercaseConstraint,
        });
    };
}
//# sourceMappingURL=password-has-lowercase.decorator.js.map