import { registerDecorator } from "class-validator";
import { PasswordHasNumbersConstraint } from "../constraints/password-has-numbers.constraint";
export function PasswordHasNumbers(validatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: validatorOptions,
            validator: PasswordHasNumbersConstraint,
        });
    };
}
//# sourceMappingURL=password-has-numbers.decorator.js.map