import { registerDecorator } from "class-validator";
import { PasswordHasUppercaseConstraint } from "../constraints/password-has-uppercase.constraint";
export function PasswordHasUppercase(validatorOptions) {
    return function (object, propertyName) {
        registerDecorator({
            target: object.constructor,
            propertyName: propertyName,
            options: validatorOptions,
            validator: PasswordHasUppercaseConstraint,
        });
    };
}
//# sourceMappingURL=password-has-uppercase.decorator.js.map